dh-python (7.20260309) unstable; urgency=medium

  [ Stefano Rivera ]
  * Take PYBUILD_DIR into account earlier (for detection) (Closes: #1126096)
  * dh_python3: In fallback .dist-info discovery, expect package names to be
    normalized with an _
  * dh_python3: Remove .pytest_cache directories
  * Delete .pdm-build in dh_python3 and pybuild clean. (Closes: #1126061)
  * Update pydist data
  * Drop Rules-Requires-Root: no, no longer needed.

  [ Colin Watson ]
  * Add autopkgtest-pkg-pybuild.1 manual page symlink

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Fix for detection of parallel build option (See: #1127763)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Mar 2026 19:03:03 -0400

dh-python (7.20260129) unstable; urgency=medium

  * Bump Standards-Version to 4.7.3, drop Priority: optional.
  * Ignore more py3compile failures.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Jan 2026 09:38:36 -0400

dh-python (7.20260125) unstable; urgency=medium

  * Catch TOMLDecodeError in plugin_pyproject
  * Drop python2.* autoscripts
  * autoscripts: Ignore py3compile failure (Closes: #1125979)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Jan 2026 14:05:36 -0400

dh-python (7.20251231) unstable; urgency=medium

  * Fix a regression in pybuild in 7.20251227. (Closes: #1124229)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 31 Dec 2025 12:15:31 -0400

dh-python (7.20251227) unstable; urgency=medium

  * Refactor internals to use dataclasses.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 27 Dec 2025 20:40:29 -0400

dh-python (7.20251225) unstable; urgency=medium

  [ Stefano Rivera ]
  * Configure a reproducible build-dir for meson pyproject builds.
    (Closes: #1113976)
  * pybuild: Allow --name's effect on --dest-dir to be overridden
  * Compare absolute paths in pybuild when deciding to skip passing destdir
  * Use Python 3.11 compatible alias syntax (pypy3 is still 3.11)
  * pyupgrade --py311-plus

  [ Alexandre Detiste ]
  * drop conditional dependency on python3-tomli backport
  * trim dead code for Python < 3.11

 -- Stefano Rivera <stefanor@debian.org>  Thu, 25 Dec 2025 11:48:54 -0400

dh-python (7.20251223) unstable; urgency=medium

  * Bump major-version, post-trixie (a little late).
  * Fix pybuild --print (broken in the last upload).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Dec 2025 08:04:11 -0400

dh-python (6.20251221) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Enable parallel building of setuptools extensions, both with the distutils
    backend and the pyproject backend. Parallel building is only enabled
    if "parallel=N" is present in DEB_BUILD_OPTIONS in accordance with
    Debian policy § 4.9.1. (Closes: #1093869)

  [ Stefano Rivera ]
  * Remove tox 3 support.
  * Add Type annotations and blacken the codebase.
  * Some related code-base refactoring and cleanup.
  * Prepend python3-supported-min (>= 3.13.1) | before packages requiring a
    minimum Python version. (Closes: #1119036)
  * Keep platform requirements if they apply to one of several supported
    environments. (Closes: #1100737)
  * Drop GNU/kFreeBSD from supported platforms.
  * Ignore blank lines in pybuild.testfiles. (Closes: #1123536)
  * Update cpython3_fallback.
  * Add --test-unittest to explicitly select the unittest runner.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Dec 2025 17:07:09 -0400

dh-python (6.20251204.1) unstable; urgency=medium

  * Fix a regression in 6.20251204: Generate dependencies for packages
    containing stable ABI extensions (Closes: #1121868)
  * Properly handle Stable ABI extensions.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Dec 2025 15:48:10 -0400

dh-python (6.20251204) unstable; urgency=medium

  [ Colin Watson ]
  * pyproject plugin: Use correct version-specific include directory when
    installing headers.

  [ Stefano Rivera ]
  * Handle multiarch tuples when merging stable ABI extensions.
  * Don't let a package containing one stable ABI module generate wide-open
    python dependencies. (Closes: #1121868)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Dec 2025 10:46:17 -0400

dh-python (6.20251201) unstable; urgency=medium

  [ Stefano Rivera ]
  * Remove setuptools -> python3-pkg-resources mapping from pydist,
    pkg_resources is deprecated upstream.
  * Update pydist data.

  [ Colin Watson ]
  * Normalize names in pydist lookups.
  * pyproject plugin: Support headers (closes: #1115299).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Dec 2025 14:56:52 -0400

dh-python (6.20251029) unstable; urgency=medium

  [ Colin Watson ]
  * dh_python3: Suppress generated dependencies that would be satisfied by
    python3 >= 3.11.

  [ Matthias Klose ]
  * autoscripts/prerm-py3clean: Check for a working /usr/bin/python3,
    the same interpreter used for py3clean.  Addresses: #1109501.

  [ Stefano Rivera ]
  * Update the list of Python versions we test things for.
  * Rename stable ABI extensions to include a multiarch tuple, allowing
    co-installation.

  [ Simon Chopin ]
  * pybuild: add an optional dest arg to testfiles syntax (Closes: #947800)

  [ Niels Thykier ]
  * dh_python3: Add introspection hints for known configuration files

 -- Stefano Rivera <stefanor@debian.org>  Wed, 29 Oct 2025 15:53:03 +0200

dh-python (6.20250414) unstable; urgency=medium

  [ Colin Watson ]
  * Document "architecture" field in
    debian/tests/autopkgtest-pkg-pybuild.conf.

  [ Stefano Rivera ]
  * Parse an unversioned python shebang as being Python 3. This eases handling
    for setuptools >= 76 which, will emit "/usr/bin/python" shebangs, even
    when the build is run by "/usr/bin/python3". (Closes: #1103150)
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update pydist data.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Apr 2025 16:39:29 -0400

dh-python (6.20250308) unstable; urgency=medium

  * Exclude Pyside6 from cpython3_fallback, maintainers need to explicitly
    depend on the modules they require.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 08 Mar 2025 09:00:48 -0400

dh-python (6.20250306) unstable; urgency=medium

  * Update pydist data.
  * Drop the python3-setuptools dependency.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 06 Mar 2025 10:54:33 -0400

dh-python (6.20250108) unstable; urgency=medium

  * Adjust CExtensionsRenameTest to always use the default Python 3 version.
    (Closes: #1092545)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Jan 2025 17:27:01 -0400

dh-python (6.20241217) unstable; urgency=medium

  * Document how to build multiple python modules in the same source package
    with --name in pybuild.1. (See: #1088676)
  * Don't pass dh_auto_install's default destdir to pybuild, allowing it to be
    overridden.
  * Remove test dependency on the debhelper python-distuils plugin.
    (Closes: #1090343)
  * Refresh pydist fallback data.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 17 Dec 2024 08:49:26 -0400

dh-python (6.20241024) unstable; urgency=medium

  * dh_python3: Suppress generated dependencies that would be satisfied by
    python3 >= 3.9.
  * Run pybuild with --verbose in autopkgtests.
  * Don't trip over .coverage files. (Closes: #1081618)
  * Handle blank lines in .pyinstall and .pyremove, thanks Julian Gilbey.
    (Closes: #1075744)
  * Loosen exact Python version dependencies to accept Debian upload
    revisions. (Closes: #1083054)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Oct 2024 13:20:13 -0700

dh-python (6.20240824) unstable; urgency=medium

  * pybuild: Drop support for setup.py test, now that setuptools 72 has
    removed it.  (Closes: #982298)
  * Bump Standards-Version to 4.7.0, no changes needed.
  * dh_python3: Improve documentation for -X / --exclude.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Aug 2024 16:51:33 +0200

dh-python (6.20240603) unstable; urgency=medium

  * Support dynamic versions in pdm.
  * Remove broken comment detection from pydist fallback generation script.
  * Update pydist data.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Jul 2024 12:33:43 +0200

dh-python (6.20240422) unstable; urgency=medium

  * Add support for Python 3.11 and 3.12 in test_interpreter.
  * Add generic test for the current default Python 3 interpreter in
    test_interpreter.
  * dh_python3: Don't rename _module to module. (Closes: #1068255)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Apr 2024 18:40:47 -0400

dh-python (6.20240401) unstable; urgency=medium

  [ Stefano Rivera ]
  * Remove python3-distutils from dh-python Depends. It doesn't exist as a
    package for 3.12, and is provided as a compatibility shim by setuptools.
    (Closes: #1066833)
  * Add support for testing with stestr. Thanks James Page for the patch.
    (Closes: #883004)

  [ Julian Gilbey ]
  * Add python3-flit-scm to list of build-dependencies requiring
    SETUPTOOLS_SCM_PRETEND_VERSION (Closes: #1067822)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Apr 2024 13:23:32 -0400

dh-python (6.20240310) unstable; urgency=medium

  [ Jérémy Lal ]
  * Fix pydist path in dh_python3 doc

  [ Louis-Philippe Véronneau ]
  * automatically set env var for python3-poetry-dynamic-versioning

  [ Niels Thykier ]
  * Remove trivially removable code related to cpython << 3.11. This includes
    some cpython2 code.

  [ Stefano Rivera ]
  * Remove hard-coded 3.11 from tests. (Closes: #1064963)
  * Remove flit plugin, replaced by pyproject. (Closes: #1061309)
  * Drop support for PyPy (2.7), long removed from the archive.
  * Improve test cleaning.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 10 Mar 2024 11:41:23 -0400

dh-python (6.20231223) unstable; urgency=medium

  [ Stefano Rivera ]
  * When building PEP-517 packages with the mesonpy backend, pass the same
    options to meson as debhelper would, when building meson packages itself.
    (Closes: #1041692)
  * Handle tab-prefixed debian/control lines in dhpython/debhelper.py,
    correctly. Strip the tab rather than including it in a package name.

  [ Piotr Ożarowski ]
  * pydist fallback: add Cython override to point to cython3 package

 -- Stefano Rivera <stefanor@debian.org>  Sat, 23 Dec 2023 20:06:52 -0400

dh-python (6.20231204) unstable; urgency=medium

  * dh_python3: Fix file filtering bug that left dot-directories in binary
    packages. (Closes: #1056291)
  * Remove dot-files from dist-packages. (See: #1057432)
  * Fix a bug in merging dist-info directories that left INSTALLER files in
    /usr/lib/python3.12/dist-packages.
  * Update pydist fallback.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Dec 2023 21:08:55 -0400

dh-python (6.20231107) unstable; urgency=medium

  * Correct logic for leaving SOURCES.txt when cleaning egg-info, it was
    inverted by mistake.
  * Don't trip over LICENSES directories in .dist-info. (Closes: #1055008)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 07 Nov 2023 17:34:28 +0200

dh-python (6.20231025) unstable; urgency=medium

  * Align detection of nocheck with debhelper, thanks Victor Westerhuis.
  * Remove more license files from dist-info, thanks Christoph Anton Mitterer.
  * Clean .tox directories. Previously the code to do this was unreachable.
    (Closes: #1049950)
  * Add test-coverage for distutils-extra, missed in 6.20230825.
  * pybuild: Ignore an exit code of 5, for no tests found, from
    unittest.discover for now. When we are ready to break packages and fix
    #1024971, this will change.
  * Build-Depends: python3-setuptools to avoid FTBFS with
    Python 3.12 as a supported version.
  * Also, Depends: python3-setuptools for now, to avoid adding it
    in other packages.
  * Don't clean egg-info/SOURCES.txt for packages using setuptools-scm, as
    they may be depending on it to locate package_data. (Closes: #1052854)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 25 Oct 2023 20:08:06 +0200

dh-python (6.20230825) unstable; urgency=medium

  * Parse .egg-info/PKG-INFO for Requirements. distutils-extra has been using
    these for a while now. (Closes: #1050305)
  * Fix some details in python3-supported-min/max generation. Thanks Jochen
    Sprickerhof for noticing and sending an MR.
  * Remove *.egg-info directories in clean step, as part of Debian's wider
    effort to improve clean targets. Thanks Stuart Prescott for the patch.
  * Explain that setting pybuild.testfiles overrides the defaults in
    pybuild(1). (Closes: #1042802)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Aug 2023 22:51:08 +0200

dh-python (6.20230813) unstable; urgency=medium

  * When we build a wheel for tox, with the distutils plugin, make sure
    our .pydistutils.cfg isn't present, so we build it in the standard layout.
  * Remove RECORD files from dist-info, these are incompatible with
    multi-arch.
  * Support for backporting the pyproject plugin to Python < 3.11. Thanks
    Stuart Prescott. (Closes: #1043301)
  * Use values for _PYTHON_HOST_PLATFORM that are closer to Python's defaults.
  * tox: Pass -x testenv.passenv+=_PYTHON_HOST_PLATFORM, so that pip will
    accept the _PYTHON_HOST_PLATFORM that the test wheel was built with.
  * Generate dependencies on using python3-supported-min and
    python3-supported-max.  Allowing dependencies to work correctly on all
    supported python 3 versions.  (Closes: #1028603)
  * pybuild-auto-pkgtest: Run tox tests against the installed package.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Aug 2023 00:58:58 +0200

dh-python (6.20230802) unstable; urgency=medium

  * Add pybuild plugin to build meson packages.
  * Update pydist fallback.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Aug 2023 11:05:40 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dh-python`.
